(*-----------#pc-version-----------------------------------------------------*)

{$N+,E+,F+,O+}
(*
unit io;
interface
uses tt1,tt2,tt3,tt4,tt5;
*)
(*-----------#pc-version-----------------------------------------------------*)

function uppercase(c: char): char;external;
function alphabetic(c: char): boolean; external;
function alphanumeric(c: char): boolean; external;
function whitespace(c: char): boolean; external;
procedure readfileline(var afile: text; var buf: inbuf); external;
procedure readedge(var afile: text; var head,tail: vertexnametype;
		   var finished: boolean; 
		   infromtty: boolean); external;
procedure getcovariance(var vernames: namearray; var rho,cov: covarray); external;
function myeoln: boolean; external;
procedure checkend; external;
procedure getfile(var fil: text; prompt: inbuf; filekind: filetype;
		  var filename: inbuf; var changed: boolean); external;
function getnumber(lower,upper: real; isinteger: boolean; prompt: inbuf;
		   default: real): real; external;
function parsecommand(switch: boolean): commands; external;
procedure getswitches(legal: commandset; var switchset: commandset); external;
procedure outputheading; external;
procedure twritefilemess(var tofile: text; mess,filename: inbuf;
                         totty: boolean); external;
procedure givestatus(var tofile: text; totty: boolean; id: commands);external;
procedure readgraph(infromtty: boolean; add: boolean; var fileread: text;
	            var adj: adjtype; var vertexnames: namearray; insert: boolean); external;
procedure showcorrelations; external;
procedure writegraph(var adjacency: adjtype; var tofile: text;
                     common: boolean; allvar: boolean); external;
procedure outputresults(id: commands); external;
procedure getgraph; external;
function readnum1(var afile: text; infromtty: boolean; err: errortype): real; external;
procedure edgeread(add,common: boolean); external;
function getreply(prompt: inbuf; c: char; default: boolean): boolean;external;
procedure formcorrelations(var localrho: covarray); external;
procedure writesearchparams(var tofile: text; totty: boolean; id: commands); external;
procedure setcheck(is: boolean; var c: char); external;
procedure findindependent(var adjacency: adjtype; var independent: vertexset);external;
procedure getnumbers(var numset: numberset; maxnum: integer); external;
procedure readtemptiers(add: boolean); external;
function istheoretical(vertex: vertexnametype): boolean; external;
procedure readwhitespace; external;
procedure readit(var c: char); external;
procedure readcomment(var infile: text);external;
function readnum(infromtty: boolean; err: errortype): real; external;
procedure writeadj(var graph: adjtype; var outfile: text); external;
procedure writemodellist(models: modelptr; var ofilvar: text); external;
procedure writetemptiers(var tofile: text); external;
procedure calcnum(var numob,numtheo,max: integer; localnames: namearray); external;
procedure replacecharwithspace(c:char); external;
procedure replacecharwithchar(c1,c2:char); external;
procedure readheader(var i: integer; fromindep: boolean); external;
function iscycle(var adjacency: adjtype): boolean;external;
procedure writechars(var ofile:text;character:char;numspaces:integer);external;
procedure getmu0(infromtty: boolean;var fileread: text; var vernames: namearray; insert: boolean); external;
procedure writecovmatrix(var rho: covarray; var tofile: text); external;
procedure mycov(var rho: covarray; var tofile: text); external;
procedure adjwrite(var graph: adjtype; var outfile: text); external;
procedure setgraphlist; external;

