(*-----------#pc-version-----------------------------------------------------*)

{$N+,E+,F+,O+} 
(*
unit tt1; 
interface
*)
(*-----------#pc-version-----------------------------------------------------*)

const 
      edgemax = 13530;
      max2s =  255;        { maximum number of edges }

      commandlength = 20;
      blankcommand = '                    ';
      blankname = '     ';
      numcommands = 80;
      eos = '|';
      notthere = 2;
      maxtheos = 15;
      maxdepth = 50;
      rawtype = 1;
      sampcov = 2;
      sampcor = 3;
      popcov = 4;
      popcor = 5;
      maxcategories = 10;
      conn = -1;
      disconn = 0;   (* for keeping track of trek separabiity by a trekstype *)
      there = 3;    (* in contrast to notthere *)
      unknown = 0;  (* for orienting *)
      outof2 = 3;  (* for orienting *)
      into2 = 1;    (* for orienting *)
      conflict = 4;
      tabfilename = '	              ';      
      maxparms = 100;
      tmaxlongint = 500000;
      tminlongint = -500000;

type byte = integer;


     vertextype = 0..maxvertex;
     { range of integers representing vertices }

     numbertype = 1..50;
     numberset = set of numbertype;

     commandstring =  array[1..commandlength] of char;
     commands = (finalsets, tetrad, partial, prttr, compareedge,
		 significance, outputfile, changegraph,
		 help, status, exit, null, lly, mmy, mly, lmy,
		 common, setparameters, 
		 correlations,statwriter,aweight,monte,gibbs,lrt,
                 scales,purify,apercent,adepth,
                 required,forbidden,addedges, removeedges, acyclica, 
                 ndepth,knowledge,raw,cellcounts,addtemp,
                 removetemp,covariance,estimate,graph,parameters,nocommon,
                 singleconnection,showprogress,values,addval,removeval,
                 removeallval,updatethenet,readcon,makemodel,readlinear,
                 initial,zanswers,testmonte,testsearch,testbuildm,testbuildl,
                 randgraph,independence,listvars,decimals,
		 split,rocfile,cross,regress,means,cequiv,lambdac,tcom1,tcom2,tcom3,tcom4,tcom5,tcom6,tcom7,tcom8,tcom9,tcom10);
     commandset = set of commands;
     commandid = record
     		    cstring: commandstring;
		    cid: commands;
		 end;
		
     errortype = (fatal, warning, ignorepart, ignoreall, suggesterr, stopprog);

     namearray = array[1..maxvertex] of vertexnametype;
     catrange = 0..maxcategories;
     vertexarray = array[vertextype] of catrange;
     vertarrptr = ^ vertexarray;
  relation = (lt, eq, gt, none2); (* less than, equal, greater than, etc *)

  priormeanrec = record
    val: real;
    cause: vertextype;
    effect: vertextype;
    free: boolean;
   end;

  priorinfo = record 
    cov: real;
    relparm: relation;
    reltype: relation;
    relnum: real;
      end;

  priorarr = array[1..maxparms,1..maxparms] of priorinfo;
  priorarray = ^priorarr; 
  priormeansarray = array[1..maxparms] of priormeanrec;


(*-----------#pc-version-----------------------------------------------------*)
(*
implementation
end.
*)
(*-----------#pc-version-----------------------------------------------------*)
