//Copyright (C) 1997 by Weimin Wang.  All rights reserved.
/*
**************************************************************************
**
**    Class Variable
**
**************************************************************************
*/

/**
* a class to hold all of info about a variable
*
* @author Weimin Wang
*/

public class Variable{
  /**
   * The name of the variable
   */
  public String name;
  /**
   * How many categories the variable can take
   */
  public int size;
  /**
   * The list of all its categories value
   */
  public int category[];
  /**
   * To construct a Variable object
   */
  public Variable(String name, int size, int[] cat){
    this.name = name;
    this.size = size;
    category = new int[this.size];
    for (int i=0; i<this.size; i++)
      category[i]=cat[i];
  }
  
  /**
   * print out the info about this Vaiable
   */
  public void print(){
    
    System.out.println("\n The variable name is "+ this.name+", size = "+ this.size);
    for(int i=0; i<size; i++)
      System.out.println(category[i]);
  }

}//end of class Varible
