//Copyright (C) 1997 Frank C. Wimberly.  All rights reserved.


class nodeList {

  protected int[] list;
  protected int nelts;

  nodeList( int list[] ) // Create empty list
  {
     this.nelts = 0;
     this.list = list;
  }

  nodeList( int i, int list[] ) // Create list with first element
  {
     this.nelts = 1;
     this.list = list;
     this.list[0] = i;
  }

  void displayList ( )
  {
     for(int j = 0; j < nelts; j++)
       System.out.println("Node " + j + " = " + list[j]);
  }

  boolean isEmpty( )
  {
    if( nelts < 1 ) return true;
    else return false;
  }

  int isElement( int j )
  {
     //if ( nelts == 0 ) return -1;
     for (int i = 0; i < nelts; i++)
       if( j == list[i]) return i;
     return -1;
  }

  void addElement( int j )
  {
     if( isElement( j ) == -1) {
         nelts += 1;
         list[nelts - 1] = j; //Should throw exception on overflow
     }
  }

  void deleteElement( int j )
  {
     int k = isElement(j);
     if(k == -1) return; //Throw exception on attempt to delete non-existent element?
     if( k == nelts - 1 ) nelts -= 1;
     else {
            for(int i = k; i < nelts - 1; i++) list[i] = list[i + 1];
            nelts -= 1;
          }
  }

}
