(*-----------#pc-version----------------------------------------------------*)
{$N+,E+,F+,O+}
(*
unit part;
interface
uses tt1,tt2,tt3,tt4,tt5;
*)
(*-----------#pc-version-----------------------------------------------------*)

const
    numval = 60;
    maxpart = 100;

type 
    cellsarr = array[1..arraylength] of integer;
    cellptr = ^cellsarr;

    partialpair = array[1..2] of integer;
    partialedonarray = record
			  length: integer;
                          arr: array[1..maxpart] of integer;
                       end;
   sqarray = array[1..maxvertex,1..maxvertex] of vertextype;
   nexttype = record
                avar,tier: vertextype;
              end;
   order = record
             numchildren,numparents,numparents1,tierpos: parray;
             parents,children,tier: sqarray;
             nextinline: array[1..maxvertex] of nexttype;
             maxtiers: vertextype;
           end;
       
    triangleptr = ^trilist;
    trilist = record
                inout,unori,other: vertextype;
                fwd,back: triangleptr;
              end;
    
    changearray = array[1..10000] of vertextype;
    changeptr = ^changearray;
    graphrec = record
                 augraph: endarray;
                 nocollidelist: triangleptr;
                 bothlist: triangleptr;
                 score: real;
                 ancest: adjtype;
                 recchange: changeptr;
                 curchange: integer;
               end; 

var pathmatrix: pathstype;
    cells: cellptr;
    nonewritten: boolean;
    path,newadj,collidera: adjtype;
    zmodellist,zmodelend: modeltypeptr;
    tcov,theinverse,tempcov: covarray;
    theorder: order;
    dsep				 : dseparray;
    temppag,forbidpag: graphrec;
    parent,doublehead: adjtype;

procedure checktime; external;
procedure getpartials; external;
procedure doregress; external;
procedure findbestreg(var ugraph: endarray); external;
procedure initmod(var curmodel: modeltypeptr); external;
procedure gettypetomaximize(var maxtype: infotype; var pospercent,percentpop: real); external;
function calcpart1(partial: partialpair; partialedon: partialedonarray; var ok: boolean): real; external;
procedure readmodtoadj(var adjacency: adjtype; var currentmod: modeltypeptr); external;
procedure asearch; external;
function newiscycle(var newadj: modeltypeptr): boolean; external;
procedure tnewend(var ptr: endarray; err: errortype); external;
procedure tnewdsep(var ptr: dseparray; err: errortype); external;
procedure initrec(var graphinfo: graphrec); external;

